﻿@{ ViewData["Title"] = "Cursos"; }

<div class="row">
    <div class="col-lg-6">
        <div class="input-group">
            <input type="text" id="filtro" class="form-control" placeholder="Buscar..." aria-describedby="basic-addon2">
            <span class="input-group-addon">
                <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-search" viewBox="0 0 16 16">
                    <path d="M11.742 10.344a6.5 6.5 0 1 0-1.397 1.398h-.001c.03.04.062.078.098.115l3.85 3.85a1 1 0 0 0 1.415-1.414l-3.85-3.85a1.007 1.007 0 0 0-.115-.1zM12 6.5a5.5 5.5 0 1 1-11 0 5.5 5.5 0 0 1 11 0z" />
                </svg>
            </span>
        </div>
    </div>
</div>
<br />
<br />
<div style="display: flex; flex-wrap: wrap; justify-content: left" class="itemsFiltrar">
    @foreach (var item in Model)
    {
    <div style="margin: 15px; width:250px;" class="itemsFiltrar">

        <div class="courses-thumb">
            <div class="courses-top">
                <div class="courses-image">
                    <a href="/Cursos/Detalle?id=@item.Id">
                        <img src="@item.Caratula" class="img-responsive" alt="">
                    </a>
                </div>
                <div class="courses-date">
                    @if (item.Precio == 0) {
                        <span><i class="fa fa-clock-o"></i> Gratis</span>
                    }
                    else { 
                        <span><i class="fa fa-clock-o"></i> S/.@item.Precio</span>
                    }
                    
                </div>
            </div>

            <div class="courses-detail">
                <h3><strong><a href="/Cursos/Detalle?id=@item.Id">@item.Titulo</a></strong></h3>
                @foreach (var profesor in item.CursoProfesores)
                {
                <p><strong>Por: </strong><u>@profesor.Profesor.Nombre @profesor.Profesor.Apellido </u></p>}
            </div>

        </div>

    </div>
    }


</div>

<script src="https://code.jquery.com/jquery-3.2.1.min.js" integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4=" crossorigin="anonymous"></script>


<script>
    $(document).ready(function () {
        (function ($) {
            $('#filtro').keyup(function () {
                
                var rex = new RegExp($(this).val(), 'i');
                $('.itemsFiltrar').hide();
                $('.itemsFiltrar').filter(function () {
                    return rex.test($(this).text());
                }).show();
            })
        }(jQuery));
    });
</script>